Skip to content

Create DHL eCommerce SCAN Form

Request

Initiates the asynchronous creation of a DHL eCommerce SCAN Form. Returns a request ID that can be used with the Get DHL eCommerce SCAN Form endpoint to retrieve the final manifest PDF.
Rate limit: 60 requests per minute.

Security
ApiTokenAuth
Bodyapplication/jsonrequired
tracking_codesArray of stringsrequired

List of shipment tracking codes

POST
/api/shipments/scan-forms/dhl/ecommerce/create
curl -i -X POST \
  'https://api.shipsaving.com/api/shipments/scan-forms/dhl/ecommerce/create?api_token=YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "tracking_codes": [
      "40EB09B82E1146DE9166C499A0B4EA",
      "40EB09B82E1146DE9166C499A0B4DD"
    ]
  }'

Responses

SCAN Form request accepted

Bodyapplication/json
requestinteger

Request ID for fetching the manifest later

Response
{ "request": 202 }